Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.ws.rs.core
Class Application

    java.lang.Object
      javax.ws.rs.core.Application

    public abstract class Application

extends java.lang.Object

Defines the components of a JAX-RS application and supplies additional metadata. A JAX-RS application or implementation supplies a concrete subclass of this abstract class.

Constructor Summary
`Application()`

Method Summary
`abstract java.util.Set<java.lang.Class<?>>` | `getClasses()` Get a set of root resource and provider classes.
`java.util.Set<java.lang.Object>` | `getSingletons()` Get a set of root resource and provider instances.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Application

    public Application()

Method Detail

### getClasses

    public abstract java.util.Set<java.lang.Class<?>> getClasses()

  Get a set of root resource and provider classes. The default lifecycle for resource class instances is per-request. The default lifecycle for providers is singleton.

  Implementations should warn about and ignore classes that do not conform to the requirements of root resource or provider classes. Implementations should warn about and ignore classes for which `getSingletons()` returns an instance. Implementations MUST NOT modify the returned set.

  Returns:
    a set of root resource and provider classes. Returning null is equivalent to returning an empty set.

### getSingletons

    public java.util.Set<java.lang.Object> getSingletons()

  Get a set of root resource and provider instances. Fields and properties of returned instances are injected with their declared dependencies (see `Context`) by the runtime prior to use.

  Implementations should warn about and ignore classes that do not conform to the requirements of root resource or provider classes. Implementations should flag an error if the returned set includes more than one instance of the same class. Implementations MUST NOT modify the returned set.

  The default implementation returns an empty set.

  Returns:
    a set of root resource and provider instances. Returning null is equivalent to returning an empty set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.